build:
	clear
	go fmt ./...
	go build -o ./bin/server ./cmd/server/main.go
	strip -s ./bin/server
	upx -f ./bin/server
pwa.build:
	clear
	go fmt ./...
	go build -o ./bin/pwa ./cmd/pwa/main.go
	strip -s ./bin/pwa
	upx -f ./bin/pwa
	GOARCH=wasm GOOS=js go build -o ./bin/web/app.wasm ./cmd/pwa/main.go
runner.build:
	clear
	go fmt ./...
	go build -o ./bin/serv_run ./cmd/serv_run/main.go
	strip -s ./bin/serv_run
	upx -f ./bin/serv_run
serv.run:
	clear
	go fmt ./...
	go build -o ./bin/wartank_dev ./cmd/server/main.go
	./dev_serv.sh
test.run:
	clear
	go fmt ./...
	go test -vet=all -race -timeout 30s -coverprofile cover.out ./...
	go tool cover -func=cover.out
mod:
	clear
	go get -u ./...
	go mod tidy -compat=1.20
	go mod vendor
	go fmt ./...
lint:
	clear
	go fmt ./...
	golangci-lint run ./cmd/serv_old/...
	golangci-lint run ./cmd/client_pwa/...
	golangci-lint run ./internal/...
